iCloud: Sorry Windows XP, Please upgrade to Windows Vista or 7 to avail the Service

Folk if you are using Windows XP and planning to use Apple latest released iCloud service then I think you will need to upgrade your OS to Windows Vista or Windows 7.

According to latest report, Windows XP the world’s most popular operating system will not be able to rub shoulder with Apple latest released iClould.

Using iCloud with a PC requires Windows Vista or Windows 7; Outlook 2010 or 2007 is recommended for accessing contacts and calendars.

In order to use iCloud service with PC, it requires Windows Vista or Windows 7. However in the support list, Apple still includes iTunes 10.3 and MobileMe for Windows XP.

[Via tuaw ]

Leave a Reply

Your email address will not be published.